# $Revision: 1.12 $, $Date: 2002/11/03 11:27:32 $
Summary:	Non-suid ping
Summary(pl):	Nie-suidowy ping
Name:		poink
Version:	2.03
Release:	1
License:	GPL v2
Group:		Networking/Admin
Source0:	http://www.kernel.pl/~mmazur/%{name}/files/%{name}-%{version}.tar.gz
URL:		http://www.kernel.pl/~mmazur/poink/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Poink sends TCP linear syn/rst challenges to network hosts to
determine whether they are alive. It is a small and hopefully secure
implementation of the common ping utility that offers far less control
over the packet options that may be specified (packet size, delay
between packets, etc.), for both security and bandwidth reasons.

%description -l pl
Poink wysya linearne wyzwania syn/rst do hostw w sieci, eby
sprawdzi czy yj. Jest ma i, miejmy nadziej, bezpieczn
implementacj znanego narzdzia "ping", ktra oferuje duo mniejsz
kontrol nad wasciwociami pakietu ktre mona ustawi (rozmiar
pakietu, przerwy miedzy pakietami itp.), ze wzgldu zarwno na
bezpieczestwo jak i na stopie obcienia cza.

%prep
%setup -q

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%doc README ChangeLog

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: poink.spec,v $
Revision 1.12  2002/11/03 11:27:32  mmazur
- version 2.03; STBR ASAP

Revision 1.11  2002/10/13 11:09:40  mmazur
- updated to 2.02
- STBR; important fixes (my coding experience sucks)

Revision 1.10  2002/08/20 20:49:43  kloczek
- spec adapterized.

Revision 1.9  2002/08/20 10:25:34  mmazur
- updated to 2.01; STBRKJM
- bugfix release :)

Revision 1.8  2002/08/15 17:18:13  mmazur
- added URL

Revision 1.7  2002/08/15 17:16:23  mmazur
- updated to version 2.0 (ipv6 support)
- rel1; STBR

Revision 1.6  2002/07/23 20:35:36  marcus
- use new %%doc

Revision 1.5  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/21 01:24:45  kloczek
- s/GPL2/GPL v2/

Revision 1.2  2001/10/26 20:43:32  blues
- package name changed to poink
- docs added
STB

Revision 1.1  2001/10/26 20:34:32  blues
- renamed spec and adpterized

